## groovy.util
Class GroovyTestSuite

A TestSuite which will run a Groovy unit test case inside any Java IDE either as a unit test case or as an application.

You can specify the GroovyUnitTest to run by running this class as an appplication and specifying the script to run on the command line.

`java groovy.util.GroovyTestSuite src/test/Foo.groovy`

Or to run the test suite as a unit test suite in an IDE you can use the 'test' system property to define the test script to run. e.g. pass this into the JVM when the unit test plugin runs...

`-Dtest=src/test/Foo.groovy`

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`String` | `file`
`GroovyClassLoader` | `loader`

Constructor Summary
`GroovyTestSuite()`

Method Summary
`Class` | `compile(String fileName)`
`void` | `loadTestSuite()`
`static void` | `main(def args)`
`static Test` | `suite()`

Constructor Detail

### GroovyTestSuite

    GroovyTestSuite()

Method Detail

### compile

    public Class compile(String fileName)

### loadTestSuite

    public void loadTestSuite()

### main

    public static void main(def args)

### suite

    public static Test suite()